:root{
    --ht : calc(100vh - 50px);
}
*{
    box-sizing: border-box;
    margin:0;
    padding: 0;
}
body{
    height: 100vh;
    width: 100%;
}

/*
header{
    height:100px;
    background-color: #55BCC9 ;
}
header h1{
    color: black;
    filter: brightness(130%);
}
*/
nav {
    background-color:#55BCC9;
    display: flex;
    font-size: large;
    font-weight: 500;
    justify-content: space-between;
    align-items: center;
    padding: 10px;
    position: sticky;
}
.hello{
    color: rgb(11, 11, 124);
}
#editor{
    height: var(--ht);
    /* display: flex;
    flex-direction: column; */
    width: 100%;
    display: grid;
    grid-template-areas:
    'code'
    'dragbar'
    'output';
	grid-template-rows: 1fr 9px 1fr;
    grid-template-columns: 1fr;
}
#codeArea{
    /* height: calc(var(--ht)/2); */
    width:100%;
    display: grid;
    grid-template-areas:'html leftdragbar css rightdragbar js';
	grid-template-rows: 1fr;
    grid-template-columns: 1fr 9px 1fr 9px 1fr;
    /* height: 50%; */
    grid-area: code;
}
textarea{ 
    padding:6px 6px;
    width: 100%;
    text-align: left;
    height: 100%;
    background-color: #1d1e22;
    color: whitesmoke;
    filter: brightness(90%);
    resize: none;
    font-size: 14px;
    line-height: 1.5em;
    border: none; 
}
#leftcol{
    border: none;
    display: flex;
    padding:0;
    margin: 0;
    /* max-width: calc((100% - 9px*2)); */
    /* grid-column: 1/2; */
    overflow: auto;
    grid-area: html;
}
#mid{
    border: none;
    display: flex;
    overflow: auto;
    /* grid-column: 3/4; */
    grid-area: css;
}
#rightcol{
    border: none;
    display: flex;
    overflow: auto;
    /* grid-column: 5/6; */
    grid-area: js;
}
#leftdragbar{
    grid-area: leftdragbar;
    background-color: #CAFAFE;
    cursor: ew-resize;
}
#verticalDrag{
    width: 100%;
    height: 9px;
    background-color: #CAFAFE;
    cursor: ns-resize;
    grid-area: dragbar;
}
#rightdragbar{
    grid-area: rightdragbar;
    background-color: #CAFAFE;
    cursor: ew-resize;
}
footer {
    background-color: #55BCC9 ;
    color: blue;
    padding: 10px;
    text-align: center;
    position: fixed;
    bottom: 0;
    width: 100%;
}
#outputArea{
    
    min-height: 50%;
    width: 100%;
    grid-area: output;
    display:flex; margin:0; padding:0; resize:both; overflow:hidden;
    flex-direction: column;
}
#outputArea > #output{
    min-height: 100%;
    min-width: 100%;
    flex-grow:1; margin:0; padding:0; border:none ;
}
#leftdragbar:hover{
    background-color: #06bbff;
}
#rightdragbar:hover{
    background-color: #06bbff;
}
#verticalDrag:hover{
    background-color: #06bbff;
}
#verticalDrag:active{
    background-color: #06bbff;
}
#leftdragbar:active{
    background-color: #06bbff;
}
#rightdragbar:active{
    background-color: #06bbff;
}
